<template>
  <v-app style="
    background: #FFFFFF;">
     <v-app-bar
      app
      shrink-on-scroll
      extended
      elevate-on-scroll
      :src="require('./assets/bg_p2.png')"
      v-if="!hide"
    >
    <template v-slot:img="{ props }">
      <v-img
        v-bind="props"
        gradient="to bottom , rgba(255,255,255,0), rgba(255,255,255,.6)"
      ></v-img>
    </template>

      <v-spacer></v-spacer>
       <img
       height="56"
       :src="require('./assets/icon_dunloppilo.png')"/>

    </v-app-bar>

    <v-content>
      <router-view/>
    </v-content>

    <v-footer dark >
      <v-col class="text-center primary--text" cols="12">
      {{ new Date().getFullYear() }} — <strong>Dunlopillo</strong>
    </v-col>
    </v-footer>
    <v-dialog
      v-model="dialogload"
      persistent
      width="300"
    >
      <v-card
        color="primary"
        dark
      >
        <v-card-text>
          กรุณารอสักครู่
          <v-progress-linear
            indeterminate
            color="white"
            class="mb-0"
          ></v-progress-linear>
        </v-card-text>
      </v-card>
    </v-dialog>
  </v-app>
</template>

<script>

export default {
  name: 'App',
  components: {
    // HelloWorld
  },
  data: () => ({
    x: true
  }),
  methods: {
  },
  computed: {
    dialogload: {
      set (value) {
        this.$store.dispatch('app/closeloading')
      },
      get () {
        return this.$store.getters['app/getLoading']
      }
    },
    hide () {
      if (this.$route.name === 'login-line') {
        return true
      }
      return false
    }

  }
}
</script>
<style>
.justify-center{
  justify-content: center;
}
#app {
  font-family: 'Mitr';
}
</style>
